DECLARE @BANCODADOS VARCHAR(50);
SELECT TOP 1 @BANCODADOS = name
FROM sys.databases
WHERE name LIKE '%Arquivos%';
IF LEN(@BANCODADOS) > 0
	BEGIN
		IF EXISTS(SELECT ID FROM SYSOBJECTS WHERE NAME = 'EST_NFE_SOLIC_APROP_CRED_COMB_ARQ_DANFE    ' AND XTYPE = 'SN')
		BEGIN
			EXEC ('DROP SYNONYM EST_NFE_SOLIC_APROP_CRED_COMB_ARQ_DANFE    ');
		END
		EXEC ('CREATE SYNONYM EST_NFE_SOLIC_APROP_CRED_COMB_ARQ_DANFE     FOR '+@BANCODADOS+'..EST_NFE_SOLIC_APROP_CRED_COMB_ARQ_DANFE    ');
	END
ELSE
	BEGIN
		PRINT 'NAO FOI POSSIVEL RETORNAR O BANCO DE DADOS PARA CRIACAO DO SINONIMO EST_NFE_SOLIC_APROP_CRED_COMB_ARQ_DANFE    '
	END